diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc
--- ns-3.42/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h
--- ns-3.42/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-model-300kHz-300GHz-log.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-model.cc ns-3.43/src/spectrum/model/spectrum-model.cc
--- ns-3.42/src/spectrum/model/spectrum-model.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-model.cc	2024-10-09 16:41:10.088656700 -0700
@@ -2,18 +2,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-model.h ns-3.43/src/spectrum/model/spectrum-model.h
--- ns-3.42/src/spectrum/model/spectrum-model.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-model.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc
--- ns-3.42/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h
--- ns-3.42/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-model-ism2400MHz-res1MHz.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-phy.cc ns-3.43/src/spectrum/model/spectrum-phy.cc
--- ns-3.42/src/spectrum/model/spectrum-phy.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-phy.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-phy.h ns-3.43/src/spectrum/model/spectrum-phy.h
--- ns-3.42/src/spectrum/model/spectrum-phy.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-phy.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-propagation-loss-model.cc ns-3.43/src/spectrum/model/spectrum-propagation-loss-model.cc
--- ns-3.42/src/spectrum/model/spectrum-propagation-loss-model.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-propagation-loss-model.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-propagation-loss-model.h ns-3.43/src/spectrum/model/spectrum-propagation-loss-model.h
--- ns-3.42/src/spectrum/model/spectrum-propagation-loss-model.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-propagation-loss-model.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-signal-parameters.cc ns-3.43/src/spectrum/model/spectrum-signal-parameters.cc
--- ns-3.42/src/spectrum/model/spectrum-signal-parameters.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-signal-parameters.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-signal-parameters.h ns-3.43/src/spectrum/model/spectrum-signal-parameters.h
--- ns-3.42/src/spectrum/model/spectrum-signal-parameters.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-signal-parameters.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-transmit-filter.cc ns-3.43/src/spectrum/model/spectrum-transmit-filter.cc
--- ns-3.42/src/spectrum/model/spectrum-transmit-filter.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-transmit-filter.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-transmit-filter.h ns-3.43/src/spectrum/model/spectrum-transmit-filter.h
--- ns-3.42/src/spectrum/model/spectrum-transmit-filter.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-transmit-filter.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef SPECTRUM_TRANSMIT_FILTER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-value.cc ns-3.43/src/spectrum/model/spectrum-value.cc
--- ns-3.42/src/spectrum/model/spectrum-value.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-value.cc	2024-10-09 16:41:10.088656700 -0700
@@ -2,18 +2,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/spectrum-value.h ns-3.43/src/spectrum/model/spectrum-value.h
--- ns-3.42/src/spectrum/model/spectrum-value.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/spectrum-value.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
@@ -569,6 +558,7 @@
      * is deprecated and will be changed to \c Ptr<const SpectrumPhy>
      * in a future release.
      */
+    // NS_DEPRECATED() - tag for future removal
     typedef void (*TracedCallback)(Ptr<SpectrumValue> value);
 
   private:
